#!/bin/sh

[ -z "$1" ] && exit 1
[ -z "$2" ] && exit 1


TEMPLATE_DIR=$1
CONFIG_NAME=$2

CONFIG_DIR=/etc/amanda
RUNTIME_DIR=/var/lib/amanda
VTAPES_DIR=$RUNTIME_DIR/vtapes

# /etc/amanda (main config)
mkdir $CONFIG_DIR/$CONFIG_NAME
cat $TEMPLATE_DIR/amanda.conf | sed "s/DailySet1/$CONFIG_NAME/g" > $CONFIG_DIR/$CONFIG_NAME/amanda.conf
cp $TEMPLATE_DIR/disklist $CONFIG_DIR/$CONFIG_NAME
chown -R amanda:disk $CONFIG_DIR/$CONFIG_NAME

# /var/lib/amanda (runtime backup files)
mkdir $RUNTIME_DIR/$CONFIG_NAME
touch $RUNTIME_DIR/$CONFIG_NAME/tapelist

# /var/lib/amanda/vtapes (virtual tapes for backuping to filesystem)
mkdir -p $VTAPES_DIR/$CONFIG_NAME
for i in 1 2 3 4
do
    mkdir $VTAPES_DIR/$CONFIG_NAME/slot$i
done
ln -s $VTAPES_DIR/$CONFIG_NAME/slot1 $VTAPES_DIR/$CONFIG_NAME/data
touch $VTAPES_DIR/$CONFIG_NAME/info

chown -R amanda:disk $RUNTIME_DIR
chmod -R 750 $VTAPES_DIR

for i in 1 2 3 4
do
    su - -c "/usr/sbin/amlabel $CONFIG_NAME $CONFIG_NAME$i slot $i" -s /bin/sh amanda
done

grep "localhost amanda amdump" $RUNTIME_DIR/.amandahosts || \
echo "localhost amanda amdump" >> $RUNTIME_DIR/.amandahosts

#su - -c "/usr/sbin/amcheck -s $CONFIG_NAME" -s /bin/sh amanda
